import Entity from "../Entity.js";

import TPlatform from "../traits/TPlatform.js";
import TCollider from "../traits/TCollider.js";

export default class Platform extends Entity {
	constructor(level) {
		super(level);

		this.bounds.size.set(5, 1);
		this.addTrait(new TCollider(this));
		this.addTrait(new TPlatform(this));
	}

	draw(ctx) {
		this.bounds.draw(ctx);
	}
}
